PageSequenceStructElem (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf

## Class PageSequenceStructElem

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.StructureHierarchyMember
      - - org.apache.fop.pdf.PDFStructElem
        - - org.apache.fop.render.pdf.PageSequenceStructElem

- All Implemented Interfaces:
    Serializable, StructureTreeElement, PDFWritable

      public class PageSequenceStructElem
      extends PDFStructElem

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.pdf.PDFStructElem

      `PDFStructElem.Placeholder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PDFStructElem` | `sect`

    - ### Fields inherited from class org.apache.fop.pdf.PDFStructElem

      `kids, parentElement`

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `attachKids()` Attaches all valid kids to the kids array.

    - ### Methods inherited from class org.apache.fop.pdf.PDFStructElem

      `addKid, addKidInSpecificOrder, getKids, getLanguage, getParentStructElem, getStructureType, output, setLanguage, setMCIDKid, setPage, setParent, setTableAttributeColSpan, setTableAttributeRowSpan, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sect

          protected PDFStructElem sect

  - ### Method Detail

    - #### attachKids

          protected boolean attachKids()

      Description copied from class: `PDFStructElem`
      Attaches all valid kids to the kids array.
      Overrides:
        `attachKids` in class `PDFStructElem`
      Returns:
        true iff 1+ kids were added to the kids array

Copyright © 2025 Apache Software Foundation. All rights reserved.